import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import { AngularFireAuth } from 'angularfire2/auth';
import { AngularFireDatabase } from 'angularfire2/database';
import { DashPlayerPage } from '../dash-player/dash-player';
import { PJ } from '../../models/pj';

/**
 * Generated class for the CreatePjPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-create-pj',
  templateUrl: 'create-pj.html',
})
export class CreatePjPage {

  pj = {} as PJ;

  constructor(
    public navCtrl: NavController,
    public navParams: NavParams,
    private afAuth: AngularFireAuth,
    private afDatabase: AngularFireDatabase,

  ) {
  }

  savePJ(){
    this.afAuth.authState.subscribe(auth=>{
      this.afDatabase.list(`personajes/${auth.uid}`).push(this.pj).then(() => this.navCtrl.popTo(DashPlayerPage))
    })
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad CreatePjPage');
  }

}
