import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, ModalController, ModalOptions } from 'ionic-angular';
import { CreatePjPage } from '../create-pj/create-pj';
import { AngularFireDatabase, AngularFireList, AngularFireObject } from 'angularfire2/database';
import { AngularFireAuth } from 'angularfire2/auth';
import { Observable } from "rxjs/Observable";
import { PJ } from '../../models/pj';
import { DashPjPjPage } from '../dash-pj-pj/dash-pj-pj';

/**
 * Generated class for the DashPlayerPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-dash-player',
  templateUrl: 'dash-player.html',
})
export class DashPlayerPage {

  pjs = [
    {name: 'alan', race: 'naranja', strength: 56, agi: 9, nivel: 99},
    {name: 'bruna', race: 'humano', strength: 7, agi: 45, nivel: 8},
    {name: 'pescal', race: 'elfo', strength: 56, agi: 9, nivel: 99},
    {name: 'yo', race: 'auto', strength: 56, agi: 9, nivel: 99},
    {name: 'tu', race: 'perro', strength: 56, agi: 9, nivel: 99},
    {name: 'el', race: 'Jamon', strength: 56, agi: 9, nivel: 99},
  ] 

  /* pjs: AngularFireObject<PJ>;*/


  constructor(
    public navCtrl: NavController, 
    public navParams: NavParams,
    private afDatabase: AngularFireDatabase,
    private afAuth: AngularFireAuth,
    private modalCtrl: ModalController
  ) {
    this.afAuth.authState.subscribe(auth=>{
    })

  }

  itemSelected(pj){
    console.log(pj);
  }

  openModal(pj){
    const modalOption: ModalOptions = {
      enableBackdropDismiss:false
    };

    const modal = this.modalCtrl.create(DashPjPjPage, {name: pj.name, race: pj.race,strength:pj.strength,agi:pj.agi,nivel:pj.nivel},modalOption);
    modal.present();
  }
  goToCreatePJ(){
    this.navCtrl.push(CreatePjPage);
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad DashPlayerPage');
    
  }

}
